Package twisted :: Package popsicle :: Module picklesicle :: Class Picklesicle |
[show private | hide private]
[frames | no frames]

## Class Picklesicle

         Repository --+
                      |
    DirectoryRepository --+
                          |
                         Picklesicle

I am a Repository that uses a directory full of Pickles to save everything. This is the most naive implementation possible of a popsicle backend, and useful for reference implementors.

Method Summary
| `__init__(self, dirname, persistentClasses)`
| `__getstate__(self)` (inherited from `Repository`)
| `__setstate__(self, dct)` (inherited from `Repository`)
| ``cache`(self, oid, obj, finished)` Weakly cache an object for the given OID. (inherited from `Repository`)
| ``cleaned`(self)` The freezer finished cleaning, and some of my objects were cleaned. (inherited from `Repository`)
| ``createOID`(self, oid, klass)` Create an instance with an oid and cache it. (inherited from `Repository`)
| ``generateOID`(self, obj)` Generate an OID synchronously. (inherited from `DirectoryRepository`)
| `getOID(self, obj)` (inherited from `Repository`)
| ``load`(self, oid)` Load an object from cache or by OID. (inherited from `Repository`)
| ``loadNow`(self, oid)` External API for synchronously loading stuff. (inherited from `Repository`)
| ``loadOID`(self, oid)` Implement me to return a Deferred if you want to implement asynchronous loading.
| ``loadOIDNow`(self, oid)` Implement me if you want to implement synchronous loading. (inherited from `Repository`)
| ``loadRef`(self, pRef)` Synonymous with ref.__call__(). (inherited from `Repository`)
| `persistentID(self, obj)`
| `persistentLoad(self, pid)`
| ``save`(self, obj)` Save an object... (inherited from `Repository`)
| ``saveOID`(self, oid, obj)` Return a Deferred which will fire True when the object is saved.

Method Details

### loadOID(self, oid) Implement me to return a Deferred if you want to implement asynchronous loading. Overrides: `twisted.popsicle.repos.Repository.loadOID` (inherited documentation)

### saveOID(self, oid, obj) Return a Deferred which will fire True when the object is saved. Overrides: `twisted.popsicle.repos.Repository.saveOID` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:16:35 2003 | http://epydoc.sf.net